<?
require('controllers/konto/fpdf153/fpdf.php');
$client->konto = new konto($client->userId);
$numBewegungen = count($client->konto->kontoBewegungen);

switch ($state) {
  case 'delete':
    if ($accountId) {
        $kontobewegung = $client->konto->getKontobewegungById($accountId);
        $komentar = $kontobewegung->kommentar;
        $beschreibung = $kontobewegung->beschreibung;
        $wert = $kontobewegung->wert;
        $datum = date('Y-m-d',$kontobewegung->datum);
        $client->konto->deleteKontobewegung($accountId);
        $loggedIn->log("deletepoints: $datum - $beschreibung - $kommentar - $wert", $client->userId);
        $client->konto = new konto($client->userId);
        $numBewegungen = count($client->konto->kontoBewegungen);
    }
    $state = 'show';
    break;

  case 'update':
    if ($accountId) {
        $kontobewegung = $client->konto->getKontobewegungById($accountId);
        $kontobewegung->kategorie = $kategorie;
        $kontobewegung->unterkategorie = $unterkategorie;
        $kontobewegung->kommentar = $kommentar;
        $kontobewegung->datum = dateToTimestamp($datum);
        $kontobewegung->beschreibung = $beschreibung;
        $kontobewegung->datumerwerb = $datumerwerb;
        $kontobewegung->datumbescheinigung = $datumbescheinigung;
        $kontobewegung->wert = $wert;
        $kontobewegung->zeitstempel = $zeitstempel;
        $kontobewegung->update();
        $loggedIn->log('updatepoints: ' . $beschreibung . ' - ' . $kommentar, $client->userId);

        $client->konto = new konto($client->userId);
        $numBewegungen = count($client->konto->kontoBewegungen);
    }
    $state = 'show';
    break;

  case 'edit':
    if ($accountId) {
        $kontobewegung = $client->konto->getKontobewegungById($accountId);
        $id = $kontobewegung->id;
        $kategorie = $kontobewegung->kategorie;
        $unterkategorie = $kontobewegung->unterkategorie;
        $kommentar = $kontobewegung->kommentar;
        $userId = $kontobewegung->userId;
        $datum = date('d.m.Y',$kontobewegung->datum);
        $datumerwerb = $kontobewegung->datumerwerb;
        $datumbescheinigung = $kontobewegung->datumbescheinigung;
        $beschreibung = $kontobewegung->beschreibung;
        $wert = $kontobewegung->wert;

        // hole Kategorien und Subkategorien
        $subCategories = getSubcategories();
        if (!usort($subCategories,'cmp')) {
         exit;
       }
        $state = 'update';
        /* include("views/$module/addpoints_normal.php"); */
        include("views/$module/account_edit.php");
#        include("views/$module/addpoints_normal.php");
    } else {
        $state = 'show';
    }
    break;
  case 'pdf':
      $client->konto->toPdf(0,0);
      exit;
      $state = 'show';
      break;
  default:
    $state = 'show';
    break;
}

if ($state == 'show') {

    include("views/$module/account_show.php");
}

       function cmp( $a, $b )
       {
         if(  $a->name ==  $b->name ){ return 0 ; }
         return ($a->name < $b->name) ? -1 : 1;
       }


?>
